CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbSubTemplateMultiListEntry_st Struct Reference

Entries contain the same type of information at SubTemplateLists: template ID and template pointers to describe the data the number of data elements and the data pointer and data length. More...

`#include <public.h>`

## Data Fields

fbTemplate_t * | tmpl
| pointer to the template used to structure the data in this entry
uint8_t * | dataPtr
| pointer to the buffer used to hold the data in this entry
size_t | dataLength
| length of the buffer used to hold the data in this entry
uint16_t | tmplID
| ID of the template used to structure the data in this entry.
uint16_t | numElements
| number of elements in this entry

## Detailed Description

Entries contain the same type of information at SubTemplateLists: template ID and template pointers to describe the data the number of data elements and the data pointer and data length.

Sub template multi lists are inherently nested constructions. At a high level, they are a list of sub template lists. The first level is a list of fbSubTemplateMultiListEntry_t's, which each contain the information that describes the data contained in them. Initializing a fbSubTemplateMultiList_t with a semantic and number of elements returns memory that contains numElements blocks of memory containing fbSubTemplateMultiListEntry_t's. It is not ready to accept data. Each of the fbSubTemplateMultiListEntry_t's needed to be set up then data is copied into the entries.

The documentation for this struct was generated from the following file:

- public.h